'
'	This label uses the SetStyle method to enable double buffering
'	in GDI+. This gives us a truly flicker-free rendering surface.
'	We can then override the paint event for this class and do our
'	custom rendering there.
'		
'	Note that the SetStyle method only works in the constructor
'	of the class you're applying it to.
'
Public Class RenderLabel
    Inherits System.Windows.Forms.Label

    Sub New()

        SetStyle(ControlStyles.AllPaintingInWmPaint, True)
        SetStyle(ControlStyles.DoubleBuffer, True)
        SetStyle(ControlStyles.UserPaint, True)
        SetStyle(ControlStyles.ResizeRedraw, True)

    End Sub

End Class
